Closed Bug 878262 Opened 10 years ago Closed 8 years ago

download.com doesn't recognize Firefox OS UA as mobile

Categories

(Web Compatibility :: Mobile, defect)

ARM
Gonk (Firefox OS)
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED WONTFIX

People

(Reporter: lmandel, Assigned: karlcow)

References

()

Details

(Whiteboard: [uaoverride] [country-all] [sitewait] [serversniff])

download.com serves a desktop site to B2G. Bug 823364 added an UA override for this domain. The override should be removed once the domain serves mobile content to B2G. This bug tracks the evangelism for the site to recognize the B2G UA and the removal of the override at that time.
Blocks: download.com
Whiteboard: [uaoverride]
On Desktop http://download.com/ just redirects to http://download.cnet.com/mac/ (mac for me), it would have been different depending on the platform.

On iPod Touch + Safari    http://m.download.cnet.com/ios/
On iPod Touch + OperaMini http://m.download.cnet.com/ios/
On Android    + Firefox   http://m.download.cnet.com/android/
On Android    + Opera     http://m.download.cnet.com/android/
On Android    + OperaMini http://m.download.cnet.com/android/
On Firefox OS             http://download.cnet.com/ (Desktop)

On Firefox OS, if I request http://m.download.cnet.com/ or http://m.download.cnet.com/android/, we are redirected to http://download.cnet.com/ (Desktop)


# Firefox for Android

HEAD / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.download.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0



HTTP/1.1 301 Moved Permanently
Content-Type: text/html; charset=iso-8859-1
Date: Thu, 01 Aug 2013 19:08:02 GMT
Location: http://download.cnet.com/
Server: Apache

Then 

HEAD / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.cnet.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0



HTTP/1.1 301 Moved Permanently
Cache-Control: max-age=0, no-cache, no-store
Content-Type: text/html; charset=iso-8859-1
Date: Thu, 01 Aug 2013 19:08:48 GMT
Expires: Thu, 01 Jan 1970 00:00:00 GMT
Location: http://m.cnet.com
Server: Apache

Then 

HEAD / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.cnet.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0



HTTP/1.1 200 OK
Connection: keep-alive
Content-Encoding: gzip
Content-Type: text/html; charset=utf-8
Date: Thu, 01 Aug 2013 19:09:18 GMT
Server: nginx/1.2.0
Set-Cookie: grd=m1%2C%2C%2C; path=/; expires=Thu, 08 Aug 2013 19:09:18 GMT
X-Powered-By: Express
Assignee: nobody → kdubost
Whiteboard: [uaoverride] → [uaoverride] [country-all] [sitewait] [serversniff]
Contacted through https://cbsi.secure.force.com/CBSi/submitcase?template=template_cnetdownload&referer=download.cnet.com

Number for following up
Case # 00418215 has been successfully created. A customer support representative will contact you shortly to assist.

To be clear for anyone who is reading:

Firefox OS User Agent has the form
Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0
And I meant

Firefox OS User Agent has the form
Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

Sorry.
> Hi Karl,
> 
> Thank you for bringing this to our attention. We have forwarded your comments on to our Download.com site managers for investigation.
> 
> We appreciate your patience and apologize for any inconvenience this may have caused in the meantime. 
> 
> Sincerely,
> ******
> CNET Customer Help
sent a reminder.
and got an automatic answer

> Thank you for contacting us. 
> 
> Unfortunately, Case #00418215 has expired. However, if you are still experiencing difficulty, simply open a new case by returning to the Help Center from which you sent in your original case. 
> 
> For a complete listing of our Help Centers, visit this address:
> 
> https://cbsi.secure.force.com/CBSi/knowledgehome
> 
> Regards, 
> CBS Interactive Customer Support

I will try again.
> Case # 00506474 has been successfully created. A customer support representative will contact you shortly to assist.

Let's see if we are more successful this time.
I got an answer. :)

> Our site managers think this is something we can fix on the front end. Do you have a suggestion on which platform we should send Firefox OS users to on the mobile site (since we don't support the OS as a platform yet)?
> 
> Perhaps to the Android door?

I replied that the android door seemed a reasonable choice.
Status: NEW → ASSIGNED
As of today, this is not solved.
Contacted again.


# Firefox OS
GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: download.cnet.com
User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 200 OK
Cache-Control: max-age=360
Connection: keep-alive
Connection: Transfer-Encoding
Content-Encoding: gzip
Content-Language: en-US
Content-Type: text/html; charset=UTF-8
Date: Wed, 30 Oct 2013 14:09:49 GMT
Expires: Wed, 30 Oct 2013 14:15:49 GMT
P3P: CP="CAO DSP COR CURa ADMa DEVa PSAa PSDa IVAi IVDi CONi OUR OTRi IND PHY ONL UNI FIN COM NAV INT DEM STA"
Set-Cookie: tempSessionId=Cg5gVVJxEy0YNSppdUY; domain=.cnet.com; path=/; expires=Sat, 28-Oct-2023 14:09:49 GMT
Set-Cookie: tempSessionId=Cg5iz1JxEy0YNSpp998; domain=.cnet.com; path=/; expires=Sat, 28-Oct-2023 14:09:49 GMT
Set-Cookie: tempSessionId=Cg5inFJxEy0YNSppVWU; domain=.cnet.com; path=/; expires=Sat, 28-Oct-2023 14:09:49 GMT
Set-Cookie: arrowLat=1383142189271; domain=.cnet.com; path=/; expires=Thu, 30-Oct-2014 14:09:49 GMT
Set-Cookie: arrowSpc=1; domain=.cnet.com; path=/; expires=Fri, 29-Nov-2013 14:09:49 GMT
Set-Cookie: bkGeo=can; domain=.cnet.com; path=/
Set-Cookie: dl_geo={"countryCode": "CA"}; path=/
Set-Cookie: SSLB=0; path=/; domain=.cnet.com
Set-Cookie: dl_geo={"countryCode": "CA"}; path=/
Transfer-Encoding:  chunked
Vary: X-OriginalLang
Vary: Accept-Encoding



# Firefox for Android
GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: download.cnet.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 302 Moved Temporarily
Cache-Control: max-age=0
Connection: keep-alive
Connection: Transfer-Encoding
Content-Type: text/html; charset=iso-8859-1
Date: Wed, 30 Oct 2013 14:10:18 GMT
Location: http://m.download.cnet.com/android/
Server: Apache
Set-Cookie: dl_geo={"countryCode": "CA"}; path=/
Set-Cookie: SSLB=0; path=/; domain=.cnet.com
Set-Cookie: dl_geo={"countryCode": "CA"}; path=/
Transfer-Encoding:  chunked
So it seems the bug has been closed without us being informed about it.

> 
> Thank you for contacting us. 
> 
> Unfortunately, Case #00506474 has expired. However, if you 
> are still experiencing difficulty, simply open a new case 
> by returning to the Help Center from which you sent in your 
> original case. 
> 

Let's find another way.
giving another shot at someone.
sent a reminder to the person I have contact with.
See Also: → 978658
There is a new message.

> Welcome to CNET Download.com!
> 
> We were unable to detect your operating system. 
> Please select an option from the links below 
> to get started browsing software.
>
> View software by operating system:
> 
>                      
>    WINDOWS
>    MAC
>    iOS
>    ANDROID

Which is not more helpful, but show their priorities.
Somehow it is partly logical, in the sense that they cover their information for these devices. In their search by Operating system. They do not have Firefox OS.
Should we close this one as WONTFIX or INVALID.

I'm asking because download.cnet.com is basically a site for helping users to get softwares to download on their own devices/computers. They do not have anything about Firefox OS nor Web OS. So having access to the site in general seems a bit moot. 

I can try to ask again, but not sure it will fix anything given our previous failed attempts.
Summary: download.com doesn't recognize B2G UA as mobile → download.com doesn't recognize Firefox OS UA as mobile
I agree we can close it as wontfix. The world has enough windmills.
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → WONTFIX
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.